// py_ex_simple.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include <eter/py_tinker.h>
#include <stdio.h>


const char* text()
{
	return "-_-)/ python wins!!";
}

int score(const char* name)
{
	printf("[%s] score!! \n", name);
	return 100;
}

void temp(PyObject* pos, PyObject* name)
{
	
}

void initeter()
{
	py_tinker::module_("eter")
		.deft("text", text)
		.deft("score", score)
		.defv("temp", temp)
		;
}

void main()
{
	Py_Initialize();
	Py_SetProgramName((char*)"py_test");
				
	initeter();
	py_tinker::PyEmbed_RunMainFile("ex_simple.py");
	Py_Finalize();	
}

